Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
ClpPackedMatrix2 Class Reference

`#include <ClpPackedMatrix.hpp>`

## Public Member Functions
Useful methods
void | transposeTimes (const ClpSimplex *model, const CoinPackedMatrix *rowCopy, const CoinIndexedVector *x, CoinIndexedVector *spareArray, CoinIndexedVector *z) const
| Return `x * -1 * A in `z`.` More...
bool | usefulInfo () const
| Returns true if copy has useful information. More...
Constructors, destructor
| ClpPackedMatrix2 ()
| Default constructor. More...
| ClpPackedMatrix2 (ClpSimplex *model, const CoinPackedMatrix *rowCopy)
| Constructor from copy. More...
virtual | ~ClpPackedMatrix2 ()
| Destructor. More...
Copy method
| ClpPackedMatrix2 (const ClpPackedMatrix2 &)
| The copy constructor. More...
ClpPackedMatrix2 & | operator= (const ClpPackedMatrix2 &)

## Protected Attributes
Data members
The data members are protected to allow access for derived classes.
int | numberBlocks_
| Number of blocks. More...
int | numberRows_
| Number of rows. More...
int * | offset_
| Column offset for each block (plus one at end) More...
unsigned short * | count_
| Counts of elements in each part of row. More...
CoinBigIndex * | rowStart_
| Row starts. More...
unsigned short * | column_
| columns within block More...
double * | work_
| work arrays More...

## Detailed Description

Definition at line 526 of file ClpPackedMatrix.hpp.

## Constructor & Destructor Documentation

ClpPackedMatrix2::ClpPackedMatrix2 | ( |  | ) |

Default constructor.

ClpPackedMatrix2::ClpPackedMatrix2 | ( | ClpSimplex * | model,
|  | const CoinPackedMatrix * | rowCopy
| ) |  |

Constructor from copy.

virtual ClpPackedMatrix2::~ClpPackedMatrix2 | ( |  | ) |
| virtual

Destructor.

ClpPackedMatrix2::ClpPackedMatrix2 | ( | const ClpPackedMatrix2 & |  | ) |

The copy constructor.

## Member Function Documentation

void ClpPackedMatrix2::transposeTimes | ( | const ClpSimplex * | model,
|  | const CoinPackedMatrix * | rowCopy,
|  | const CoinIndexedVector * | x,
|  | CoinIndexedVector * | spareArray,
|  | CoinIndexedVector * | z
| ) |  | const

Return `x * -1 * A in `z`.`

Note - x packed and z will be packed mode Squashes small elements and knows about ClpSimplex

bool ClpPackedMatrix2::usefulInfo | ( |  | ) | const
| inline

Returns true if copy has useful information.

Definition at line 540 of file ClpPackedMatrix.hpp.

ClpPackedMatrix2& ClpPackedMatrix2::operator= | ( | const ClpPackedMatrix2 & |  | ) |

## Member Data Documentation

int ClpPackedMatrix2::numberBlocks_
| protected

Number of blocks.

Definition at line 568 of file ClpPackedMatrix.hpp.

int ClpPackedMatrix2::numberRows_
| protected

Number of rows.

Definition at line 570 of file ClpPackedMatrix.hpp.

int* ClpPackedMatrix2::offset_
| protected

Column offset for each block (plus one at end)

Definition at line 572 of file ClpPackedMatrix.hpp.

unsigned short* ClpPackedMatrix2::count_
| mutable protected

Counts of elements in each part of row.

Definition at line 574 of file ClpPackedMatrix.hpp.

CoinBigIndex* ClpPackedMatrix2::rowStart_
| mutable protected

Row starts.

Definition at line 576 of file ClpPackedMatrix.hpp.

unsigned short* ClpPackedMatrix2::column_
| protected

columns within block

Definition at line 578 of file ClpPackedMatrix.hpp.

double* ClpPackedMatrix2::work_
| protected

work arrays

Definition at line 580 of file ClpPackedMatrix.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/Clp/src/ClpPackedMatrix.hpp